import { Search } from '@element-plus/icons-vue'
import { defineComponent, toRefs, reactive, onMounted, ref } from 'vue'
import {
  ElButton,
  ElForm,
  ElFormItem,
  ElInput,
  ElSelect,
  ElOption
} from 'element-plus'
import classes from './index.module.less'
import request from '@/helpers/request'

export default defineComponent({
  name: 'searchInput',
  props: {
    title: {
      type: String,
      default: ''
    }
  },
  setup(props, conent) {
    const state = reactive({
      title: props.title,
      search: '',
      subject: '',
      subjectList:[]
    })
    const getSubjectList = async ()=>{
      try {
        const res = await request.get('/api-website/open/subject/subjectSelect', {
        })

        state.subjectList = res.data
      } catch (e) {
        console.log(e)
      }
    }
    onMounted(()=>{
      getSubjectList()
    })
    return () => (
      <>
        <div class={classes.wrap}>
          <ElInput
            v-model={state.search}
            placeholder="搜一搜你想练习的曲目"
            class={classes.inputSelect}
            v-slots={{
              prepend: () => (
                <div   class={classes.selectWrap}>
                  <ElSelect
                    v-model={state.subject}
                    placeholder="请选择声部"
                    style="width: 115px"
                    popper-class="subSelect"
                    v-slots={{
                      suffix: () => <div class={classes.san}></div>
                    }}
                  >
                    <ElOption label="Restaurant" value="1" />
                    <ElOption label="Order No." value="2" />
                    <ElOption label="Tel" value="3" />
                  </ElSelect>
                  <div class={classes.line}></div>
                </div>
              ),
              append: () => (
                <ElButton
                  style={{ color: '#2DC7AA', font: '20px' }}
                  icon="Search"
                />
              )
            }}
          ></ElInput>
        </div>
      </>
    )
  }
})
