import { defineComponent, toRefs, reactive, onMounted, ref} from 'vue'

import classes from './index.module.less'
import detaile from './images/detaile.png'
import icon from './images/icon.png'
export default defineComponent({
  name: 'albumItem',
  props: {
    detail: {
      type: Object,
      default: {
        "auditStatus": "",
        "endTime": "",
        "lessonSubject": "",
        "order": "",
        "orderNo": "",
        "page": 0,
        "rows": 0,
        "search": "",
        "sort": "",
        "startTime": "",
        "userId": 0,
        "videoLessonGroupId": 0
      }
    }
  },
  setup(props) {
    const state = reactive({
      detail:props.detail
    })
    return () => (
      <>
        <div class={classes.itemWrap}>
          <img src={state.detail.lessonCoverUrl?state.detail.lessonCoverUrl:detaile} alt="" class={classes.detaile} />
          <div class={classes.itemBottom}>
            <div class={classes.itemBottomL}>
              <img src={icon} class={classes.itemHead} alt="" />
              <span class={classes.itemTitle}>{state.detail.username}</span>
              <div class={classes.line}></div>
              <span class={classes.course}>{state.detail.lessonCount}课时</span>
            </div>
            <div class={classes.itemBottomR}>
              <span class={classes.buy}>{state.detail.countStudent}人购买</span>
            </div>
          </div>
        </div>
      </>
    )
  }
})
