// import Auth from '@/views/layout/auth'

// type metaType = {
//   isRegister: boolean
// }

export default [
  {
    path: '/',
    component: () => import('@/views/home/index')
  },
  {
    path: '/home',
    name: 'home',
    component: () => import('@/views/home/index')
  },
  {
    path: '/downLoad',
    name: 'downLoad',
    component: () => import('@/views/downLoad/index'),
    meta: {
      title: '下载'
    }
  },
  {
    path: '/musicLibrary',
    name: 'musicLibrary',
    component: () => import('@/views/musicLibrary/index'),
    meta: {
      title: '谱库',
      index: 2
    },
  },
  {
    path: '/musicLibrary/searchdetail',
    name: 'searchdetail',
    component: () => import('@/views/musicLibrary/searchdetail'),
    meta: {
      title: '搜索',
      index: 3
    }
  },

  {
    path: '/teacherAuth',
    name: 'teacherAuth',
    component: () => import('@/views/role-auth/teacherAuth'),
    meta: {
      title: '老师认证'
    }
  },
  {
    path: '/musicAuth',
    name: 'musicAuth',
    component: () => import('@/views/role-auth/musicAuth'),
    meta: {
      title: '音乐人认证'
    }
  },
  {
    path: '/userInfo',
    name: 'userInfo',
    component: () => import('@/views/user-info/index'),
    redirect: '/userInfo/practiceSetting',
    children: [
      {
        path: '/userInfo/practiceSetting',
        name: 'userInfoPracticeSetting',
        component: () => import('@/views/user-info/practice-setting'),
        meta: { title: '陪练课', index: 2 }
      },
      {
        path: '/userInfo/liveClass',
        name: 'userInfoLiveClass',
        component: () => import('@/views/user-info/live-class'),
        meta: { title: '直播课', index: 3 }
      },
      {
        path: '/userInfo/videoClass',
        name: 'userInfoVideoClass',
        component: () => import('@/views/user-info/video-class'),
        meta: { title: '视频课', index: 4 }
      },
      {
        path: '/userInfo/videoOperation',
        name: 'userInfoVideoOperation',
        component: () => import('@/views/user-info/video-operation'),
        meta: {
          title: '视频课',
          index: 4,
          hidden: true,
          activeMenu: 'userInfoVideoClass'
        }
      },
      {
        path: '/userInfo/musicClass',
        name: 'userInfoMusicClass',
        component: () => import('@/views/user-info/music-class'),
        meta: { title: '我的曲谱', index: 5 }
      },
      {
        path: '/userInfo/musicOperation',
        name: 'userInfoMusicOperation',
        component: () => import('@/views/user-info/music-operation'),
        meta: {
          title: '视频课',
          index: 4,
          hidden: true,
          activeMenu: 'userInfoMusicClass'
        }
      }
    ]
  }
]
