import ColUpload from '@/components/col-upload'
import ColUploadVideo from '@/components/col-upload-video'
import {
  ElButton,
  ElCol,
  ElForm,
  ElFormItem,
  ElInput,
  ElRow
} from 'element-plus'
import { defineComponent } from 'vue'
import { createState } from '../createState'

export default defineComponent({
  name: 'course-content',
  render() {
    return (
      <>
        <ElForm
          class="px-[200px] pb-10 pt-7"
          size="large"
          labelWidth={'90px'}
          labelPosition="left"
          model={createState.lessonList}
        >
          <ElFormItem label="课程视频">
            <ColUploadVideo multiple />
            {/* <ElInput placeholder="请输入课程名称" /> */}
          </ElFormItem>
          {createState.lessonList.map((item: any, index: number) => (
            <div class="p-4 rounded-xl border border-dashed border-gray-300">
              <ElRow>
                <ElCol span={12}>
                  <ElFormItem label="第一课"></ElFormItem>
                </ElCol>
                <ElCol span={12}>
                  <ElFormItem
                    label="视频封面"
                    prop={`lessonList.${index}.coverUrl`}
                  >
                    <ColUpload v-model:modelValue={item.coverUrl} />
                  </ElFormItem>
                </ElCol>
              </ElRow>
              <ElFormItem
                label="课程标题"
                prop={`lessonList.${index}.videoTitle`}
                rules={[
                  {
                    required: true,
                    message: '请输入课程标题'
                  }
                ]}
              >
                <ElInput
                  placeholder="请输入课程标题"
                  v-model={item.videoTitle}
                />
              </ElFormItem>

              <ElFormItem
                label="课程介绍"
                prop={`lessonList.${index}.videoContent`}
                rules={[
                  {
                    required: true,
                    message: '请输入课程介绍'
                  }
                ]}
              >
                <ElInput
                  placeholder="请输入课程介绍"
                  v-model={item.videoContent}
                  type="textarea"
                  // @ts-ignore
                  maxlength={200}
                  rows={4}
                  showWordLimit
                />
              </ElFormItem>
            </div>
          ))}
        </ElForm>
        <div class="border-t border-t-[#E5E5E5] text-center pt-6 pb-7">
          <ElButton
            class="!w-40 !h-[38px]"
            onClick={() => {
              createState.active = 0
            }}
          >
            上一步
          </ElButton>
          <ElButton
            type="primary"
            class="!w-40 !h-[38px]"
            onClick={() => {
              createState.active = 1
            }}
          >
            下一步
          </ElButton>
        </div>
      </>
    )
  }
})
